Last Comment Bug 584414 - In Bugzilla 3.6, searching for bugs with at least X votes is broken
: In Bugzilla 3.6, searching for bugs with at least X votes is broken
Status: VERIFIED FIXED
[3.6 only; 4.x not affected]
: regression
Product: Bugzilla
Classification: Server Software
Component: Query/Bug List (show other bugs)
: 3.6.1
: All All
: -- normal with 1 vote (vote)
: Bugzilla 3.6
Assigned To: Max Kanat-Alexander
: default-qa
:
Mentors:
https://bugzilla.mozilla.org/buglist....
: 596890 598005 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-04 09:47 PDT by karl155
Modified: 2010-10-03 11:36 PDT (History)
7 users (show)
LpSolit: approval3.6+
LpSolit: blocking3.6.3+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
v1 (509 bytes, patch)
2010-09-07 02:57 PDT, Max Kanat-Alexander
LpSolit: review+
Details | Diff | Splinter Review

Description karl155 2010-08-04 09:47:59 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.2.8) Gecko/20100722 Firefox/3.6.8
Build Identifier: 

Now it is possible to enter every valid field in the serarch query. But that is the problem:
1. The serach mask says: "Only bugs with at least: ____ votes".
2. If you enter 50 you will get a query with "votes=50".
3. This ends with that result filter: "Votes: (is greater than) 49, Votes: 50"


Reproducible: Always
Comment 1 karl155 2010-08-04 09:51:58 PDT
Version: 3.6.1:

http://www.bugzilla.org/releases/3.6.1/release-notes.html
"Search: For those who like to make their own buglist.cgi URLs (and for people working on customizations), buglist.cgi now accepts nearly every valid field in Bugzilla as a direct URL parameter, like &field=value"
Comment 2 Max Kanat-Alexander 2010-08-04 10:03:16 PDT
This is really blocking 3.6.3, but I'll change that when we have the flag.
Comment 3 Frédéric Buclin 2010-08-04 10:26:00 PDT
The SQL query has:

WHERE ((bugs.votes > '3') AND ( bugs.votes IN ('4') ))


Bugzilla 3.4 doesn't have this 2nd condition.
Comment 4 Frédéric Buclin 2010-08-04 10:42:34 PDT
For the record, Bugzilla 4.0 and 4.1 are not affected. So this is a 3.6 only regression.
Comment 5 Thomas D. (currently busy elsewhere; needinfo?me) 2010-08-12 13:01:54 PDT
Is there any workaround for this in 3.6? Any query that I could use to show all bugs of a given product with more than 50 votes?
Comment 7 Max Kanat-Alexander 2010-09-07 02:57:32 PDT
Created attachment 472589 [details] [diff] [review]
v1

Here's a patch to fix it in 3.6.
Comment 8 Frédéric Buclin 2010-09-07 07:54:05 PDT
Comment on attachment 472589 [details] [diff] [review]
v1

Cool, thanks for the fix. :) r=LpSolit
Comment 9 Max Kanat-Alexander 2010-09-07 18:35:21 PDT
Hey, you're welcome! :-) Thanks for the review!

Committing to: bzr+ssh://bzr.mozilla.org/bugzilla/3.6/                         
modified Bugzilla/Search.pm
Committed revision 7169.
Comment 10 Frédéric Buclin 2010-09-16 03:23:01 PDT
*** Bug 596890 has been marked as a duplicate of this bug. ***
Comment 11 Reed Loden [:reed] (use needinfo?) 2010-09-27 23:36:57 PDT
*** Bug 598005 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.